Subject: Re: bug#77924: 31.0.50; [Feature branch] Change marker implementation

From: Gerd Möllmann <[email-masked]>
Date: Fri, 25 Apr 2025 20:58:00 +0200

Eli Zaretskii <[email-masked]> writes:

> Is it possible to invalidate only part(s) of the index?  Surely, at
> least some parts can remain intact?

The part before of changes remains unchanged. The part after could maybe
be reused, but I don't have developed an algorithm. And would like to
avoid that because it certainly will be fiddly.

But like I said, I'm not yet convinced the complexity is necessary.

Or maybe it's something else, and we are looking at this the wrong way.
I mean, in the Z == Z_BYTE case, all that is done in the conversions is
to immediately

  if (Z == ZBYTE)
    return pos;

while _everything_ else is done only in the multi-byte case. Maybe it's
the ASCII case that is the outlier.